Method: buyers.finalizedDeals.resume
Stay organized with collections
Save and categorize content based on your preferences.
outlined_flag
The resume method is used to resume serving of a given finalized deal.
Calling resume on an already running deal has no effect.
If a deal is paused by the seller, calling resume by the buyer will not resume serving until the seller also resumes it.
This method is applicable only to programmatic guaranteed deals and preferred deals.
The HTTP request uses a POST method to a specific URL with the deal's name in the path.
Resumes serving of the given finalized deal. Calling this method for an running deal has no effect. If a deal is initially paused by the seller, calling this method will not resume serving of the deal until the seller also resumes the deal. This method only applies to programmatic guaranteed deals and preferred deals.
HTTP request
POST https://authorizedbuyersmarketplace.googleapis.com/v1alpha/{name=buyers/*/finalizedDeals/*}:resume
The URL uses gRPC Transcoding syntax.
Path parameters
Parameters
name
string
Required. Format: buyers/{accountId}/finalizedDeals/{dealId}
Request body
The request body must be empty.
Response body
If successful, the response body contains an instance of FinalizedDeal .
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/authorized-buyers-marketplace
Except as otherwise noted, the content of this page is licensed under the Creative Commons Attribution 4.0 License , and code samples are licensed under the Apache 2.0 License . For details, see the Google Developers Site Policies . Java is a registered trademark of Oracle and/or its affiliates.
Last updated 2024-09-18 UTC.
[null,null,["Last updated 2024-09-18 UTC."],[],[]]